Browserbase
Close a session
Close a session
POST
/browserbase/v1/sessions/{id}● SupportedRequest parameters
idstring必填statusstring必填Set to `REQUEST_RELEASE` to request that the session complete. Use before session's timeout to avoid additional charges.
Returns
200
Only the capabilities in the service guide are available; some upstream options are unavailable.
Errors contain statusCode, error and message; the native API adds code. The request ID is in X-Request-Id. Errors
Proxies, stealth options, extensions and Selenium are unavailable. region and solveCaptchas are accepted but ignored; region selection and CAPTCHA solving are not provided.
Response
HTTP 200
The request has succeeded.
application/json
| Name | Type | Description |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the Session. |
| startedAt | string | |
| endedAt | string | |
| expiresAt | string | |
| status | string | |
| proxyBytes | integer | Bytes used via the Proxy |
| keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| contextId | string | Optional. The Context linked to the Session. |
| region | string | The region where the Session is running. |
| userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |